=== debian/control ===
Source: ros-iron-spacenav
Section: misc
Priority: optional
Maintainer: Jonathan Bohren <jbo@jhu.edu>
Build-Depends: debhelper (>= 9.0.0), libspnav-dev, libx11-dev, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/spacenav_node
Standards-Version: 3.9.2

Package: ros-iron-spacenav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libspnav-dev, libx11-dev, ros-iron-geometry-msgs, ros-iron-rclcpp, ros-iron-rclcpp-components, ros-iron-sensor-msgs, spacenavd, ros-iron-ros-workspace
Description: ROS interface to the 3Dconnexion SpaceNavigator 6DOF joystick.
